name: Build Site Develop
on: 
  push:
    branches:
      - develop

jobs:
  Build-Site:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - name: Use Node.js
        uses: actions/setup-node@v3
        with:
          node-version: '18.18.2'
      - run: npm install
      - run: npm run build
      - name: Publish
        uses: nogsantos/scp-deploy@master
        with:
          src: ./build/*
          host: ${{ secrets.SSH_HOST }}
          remote: /mnt/user/appdata/binhex-nginx/nginx/html/
          port: 69
          user: ${{ secrets.SSH_USER }}
          key: ${{ secrets.SSH_KEY }}